# remind-me

**This is alpha software! Not fully working yet.**

A command-line reminder tool that supports natural language dates and times, inspired by Slack's `/remind` feature.

## Installation

```sh
npm i -g remind-me
```

## Usage

**remind me**

Create a reminder.

```
remind me in two hours to take a break
remind me to do some deep breathing in 10 minutes
remind me at 3pm to wash the dishes
remind me to wash the dishes at 4:00 pm tomorrow
remind me to get out of bed tomorrow
remind me to put on pants at 8:36 am tomorrow
remind me on friday at 9pm to go party
remind me on February 2 at 6:30am to look for my shadow
```

**remind list**

List all upcoming reminders and their times

**remind cancel <id>**

Delete a reminder by specifying its id.

**remind edit**

Open `~/.remind-me/reminders.json` in your `$EDITOR`

**remind config**

Open `~/.remind-me/config.json` in your `$EDITOR`

## Notifications

There are currently four ways you can be reminded:

- The Mac OS X `say` command, which reads your reminder aloud to you in a computerized voice. Enabled by default.
- Desktop Notifications. Enabled by default.
- SMS with Twilio. Disabled by default. Requires configuration.
- Slack notification. Disabled by default. Requires configuration.

To configure notifications, type `remind config` to open `~./remind-me/config.json` in your `$EDITOR`.

## Tests

```sh
npm install
npm test
```

## Dependencies

- [chrono-node](https://github.com/berryboy/chrono): A natural language date parser in Javascript
- [dateparser](https://github.com/jhaynie/dateparser): A human language relative date parser
- [easypattern](https://github.com/nadav-dav/EasyPattern): EasyPattern is a readable alternative to regular expressions
- [prettydate](https://github.com/bluesmoon/node-prettydate): Format dates nicely
- [relative-date](https://github.com/azer/relative-date): Javascript module for outputting relative dates.

## Dev Dependencies

- [mocha](https://github.com/mochajs/mocha): simple, flexible, fun test framework
- [standard](https://github.com/feross/standard): JavaScript Standard Style


## License

ISC

_Generated by [package-json-to-readme](https://github.com/zeke/package-json-to-readme)_
